cURL
curl --request GET \
--url https://{server}/api/datasets/{dataset_pk}/versions/{version_pk}/status/import requests
url = "https://{server}/api/datasets/{dataset_pk}/versions/{version_pk}/status/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{server}/api/datasets/{dataset_pk}/versions/{version_pk}/status/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"latest_job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_runner_id": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"parameters": "<unknown>"
},
"errors": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preprocessing_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_code": "<string>",
"error_message": "<string>",
"error_context": "<unknown>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"error_count": 123,
"errors_truncated": true
}GET /datasets//versions//status — returns version status, latest job, recent errors.
GET
/
api
/
datasets
/
{dataset_pk}
/
versions
/
{version_pk}
/
status
/
cURL
Response
200 - application/json
GET /datasets/{id}/versions/{vid}/status response shape.
UPLOADED- UploadedPREPROCESSING_QUEUED- Preprocessing QueuedPREPROCESSING_RUNNING- Preprocessing RunningPREPROCESSING_FAILED- Preprocessing FailedREADY- ReadyDEPRECATED- Deprecated
Available options:
UPLOADED, PREPROCESSING_QUEUED, PREPROCESSING_RUNNING, PREPROCESSING_FAILED, READY, DEPRECATED Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I